import { User, UserProps } from '@aws-cdk/aws-iam';
import { Construct } from '@aws-cdk/core';
/**
 * @stability stable
 */
export declare class ZUser extends User {
    /**
     * An attribute that represents the user access_key.
     *
     * @stability stable
     * @attribute true
     */
    readonly accessKey: string;
    /**
     * An attribute that represents the user secret_key.
     *
     * @stability stable
     * @attribute true
     */
    readonly secretKey: string;
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, props?: UserProps);
}
